<template>
  <StyledContactContainer>
    <StyledContainer>
      <a-row type="flex" align="middle" justify="center">
        <a-col :xl="{ span: 24 }">
          <StyledFlexContainer
            justify="center"
            align="center"
            direction="column"
          >
            <AtomSectionTitle text="NEWSLETTER" />
            <MoleculeNewsletterForm />
          </StyledFlexContainer>
        </a-col>
      </a-row>
    </StyledContainer>
        <StyledContainer>
      <a-row type="flex" align="middle" justify="center">
        <a-col :xl="{ span: 24 }">
          <StyledFlexContainer
            justify="center"
            align="center"
            direction="column"
          >
            <AtomSectionTitle text="CONTACT" />
            <MoleculeContactForm />
          </StyledFlexContainer>
        </a-col>
      </a-row>
    </StyledContainer>
  </StyledContactContainer>
</template>

<script>
import AtomSectionTitle from '../../Atoms/AtomSectionTitle/AtomSectionTitle.vue';
import MoleculeNewsletterForm from '../../Molecules/MoleculeNewsletterForm/MoleculeNewsletterForm.vue';
import MoleculeContactForm from '../../Molecules/MoleculeContactForm/MoleculeContactForm.vue';
import StyledContactContainer from '../../../styles/Organisms/OrganismSectionContact/OrganismSectionContact';
import {
  StyledContainer,
  StyledFlexContainer,
} from '../../../styles/Styles';

export default {
  name: 'OrganismSectionContact',

  components: {
    AtomSectionTitle,
    MoleculeNewsletterForm,
    MoleculeContactForm,
    StyledContactContainer,
    StyledFlexContainer,
    StyledContainer,
  },

  props: {
    space: {
      type: String,
    },
  },
};
</script>
